summaryrefslogtreecommitdiffstats
path: root/misc/dwdiff
diff options
context:
space:
mode:
Diffstat (limited to 'misc/dwdiff')
-rw-r--r--misc/dwdiff/dwdiff.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/dwdiff/dwdiff.SlackBuild b/misc/dwdiff/dwdiff.SlackBuild
index 290fa75038..b345400363 100644
--- a/misc/dwdiff/dwdiff.SlackBuild
+++ b/misc/dwdiff/dwdiff.SlackBuild
@@ -63,12 +63,8 @@ if [ -z "$NLS" ]; then # share/ will be empty
rmdir $PKG/usr/share
fi
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;